#ifndef DAEM_H
#define DAEM_H

/* Detach the process running self from its terminal.  If it returns,
   it returns to the child process created via fork().

   The parent doesn't return.  Instead it waits for its child either
   to signal that it completed its setup or that it exited
   prematurely; on either of those the parent exits with a success or
   failure accordingly.
 */
void
daemonize (void);

/* For use by the child process so that, after daemonization, it can
   signal the waiting parent that is has completed its setup (file
   locking etc).
 */
void
send_signal_child_ok (void);

#endif
